#pragma once

class CFileDataReader {
public:
	//gets the preview from the given file
	// NOTE: delete the Bitmap* you get from preview()!
	virtual void setFile(const CString& file) { m_strFile = file; }
	const CString& file() const {return m_strFile;}

	virtual Bitmap* preview() const = 0;

	static Bitmap* noPrev();
private:
	CString m_strFile;
};


class CPicDataReader : public CFileDataReader {
public:
	CPicDataReader();
	virtual void setFile(const CString& file);
	virtual Bitmap* preview() const {
		return (m_bSuccess)?m_pPicture:(CFileDataReader::noPrev());
	}
private:
	Bitmap* m_pPicture;	
	bool m_bSuccess;
};